﻿
.osano-cm-window {
    font-family: Helvetica,Arial,Hiragino Sans GB,STXihei,Microsoft YaHei,WenQuanYi Micro Hei,Hind,MS Gothic,Apple SD Gothic Neo,NanumBarunGothic,sans-serif;
    font-size: 16px;
    font-smooth: always;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothingz: auto;
    display: block;
    left: 0;
    line-height: 1;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 2147483638;
    --fade-transition-time: 700ms;
    --slide-transition-time: 400ms
}

.osano-cm-window--context_amp {
    height: 100%
}

.osano-visually-hidden {
    height: 1px;
    left: -10000px;
    margin: -1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    width: 1px
}

.osano-cm-button {
    background-color: var(--osano-button-background-color);
    border-color: var(--osano-button-foreground-color);
    border-radius: .25em;
    border-style: solid;
    border-width: thin;
    color: var(--osano-button-foreground-color);
    cursor: pointer;
    flex: 1 1 auto;
    font-size: 1em;
    font-weight: 700;
    line-height: 1;
    margin: .125em;
    min-width: 6em;
    padding: .5em .75em;
    transition-duration: .2s;
    transition-property: background-color;
    transition-timing-function: ease-out
}

    .osano-cm-button:focus, .osano-cm-button:hover {
        background-color: var(--osano-button-background-hover);
        outline: none
    }

.osano-cm-button--type_icon {
    border-radius: 50%;
    height: 1em;
    line-height: 0;
    min-width: 1em;
    width: 1em
}

.osano-cm-button--type_deny {
    background-color: var(--osano-button-deny-background-color);
    border-color: var(--osano-button-deny-foreground-color);
    color: var(--osano-button-deny-foreground-color)
}

    .osano-cm-button--type_deny:focus, .osano-cm-button--type_deny:hover {
        background-color: var(--osano-button-deny-background-hover)
    }

.osano-cm-close {
    border-radius: 50%;
    box-sizing: content-box;
    cursor: pointer;
    height: 20px;
    margin: .5em;
    min-height: 20px;
    min-width: 20px;
    order: 0;
    outline: none;
    overflow: hidden;
    padding: 0;
    width: 20px;
    stroke-width: 1px;
    background-color: transparent;
    border: 2px solid transparent;
    display: flex;
    justify-content: center;
    line-height: normal;
    text-decoration: none;
    transform: rotate(0deg);
    transition-duration: .2s;
    transition-property: transform,color,background-color,stroke,stroke-width;
    transition-timing-function: ease-out;
    z-index: 2
}

    .osano-cm-close:focus, .osano-cm-close:hover {
        transform: rotate(90deg);
        stroke-width: 2px
    }

.ccpa-opt-out-icon {
    display: flex;
    flex: 1 1 auto
}

    .ccpa-opt-out-icon svg {
        max-width: 40px
    }

.osano-cm-link {
    color: var(--osano-link-color);
    cursor: pointer;
    text-decoration: underline;
    transition-duration: .2s;
    transition-property: color;
    transition-timing-function: ease-out
}

    .osano-cm-link:active, .osano-cm-link:hover {
        color: var(--osano-link-color);
        outline: none
    }

    .osano-cm-link:focus {
        color: var(--osano-link-color-focus);
        font-weight: 700;
        outline: none
    }

.osano-cm-link--type_feature, .osano-cm-link--type_purpose, .osano-cm-link--type_specialFeature, .osano-cm-link--type_specialPurpose {
    cursor: help;
    display: block;
    -webkit-text-decoration: dashed;
    text-decoration: dashed
}

.osano-cm-link--type_denyAll {
    display: block;
    text-align: right
}

[dir=rtl] .osano-cm-link--type_denyAll {
    text-align: left
}

.osano-cm-link--type_vendor {
    display: block
}

.osano-cm-link-separator:before {
    content: "|";
    padding: 0 .5em
}

.osano-cm-vendor-link {
    font-size: .75em
}

.osano-cm-list-item {
    margin: 0
}

.osano-cm-list-item--type_term {
    border-top-style: solid;
    border-top-width: 1px;
    font-size: .875rem;
    font-weight: 400;
    margin-bottom: .25em;
    margin-top: .5em;
    padding: .5em .75rem 0;
    position: relative;
    top: -1px
}

.osano-cm-list-item--type_description {
    font-size: .75rem;
    font-weight: lighter;
    padding: 0 .75rem
}

.osano-cm-list {
    list-style-position: outside;
    list-style-type: none;
    margin: 0;
    padding: 0
}

.osano-cm-list__list-item {
    text-indent: 0
}

.osano-cm-list--type_description {
    margin: 0 -1em
}

.osano-cm-list:first-of-type .osano-cm-list__list-item:first-of-type {
    border-top-width: 0;
    margin-top: 0;
    padding-top: 0
}

.osano-cm-toggle {
    align-items: center;
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-start;
    margin: .25em 0;
    pointer-events: auto;
    position: relative
}

.osano-cm-toggle__label {
    margin: 0 .5em 0 0
}

[dir=rtl] .osano-cm-toggle__label {
    margin: 0 0 0 .5em
}

.osano-cm-toggle__switch {
    background-color: var(--osano-toggle-off-background-color);
    border-radius: 14px;
    border-style: solid;
    border-width: 2px;
    box-sizing: content-box;
    color: transparent;
    display: block;
    flex-shrink: 0;
    height: 18px;
    line-height: 0;
    margin: 0;
    position: relative;
    text-indent: -9999px;
    transition-duration: .2s;
    transition-property: background-color;
    transition-timing-function: ease-out;
    width: 40px
}

    .osano-cm-toggle__switch:hover {
        cursor: pointer
    }

    .osano-cm-toggle__switch:after {
        background-color: var(--osano-toggle-button-off-color);
        border-color: var(--osano-toggle-button-off-color);
        border-radius: 9px;
        border-width: 0;
        height: 18px;
        left: 0;
        top: 0;
        width: 18px
    }

    .osano-cm-toggle__switch:before {
        border-color: transparent;
        border-radius: 16px;
        border-width: 2px;
        bottom: -6px;
        box-sizing: border-box;
        left: -6px;
        right: -6px;
        top: -6px
    }

    .osano-cm-toggle__switch:after, .osano-cm-toggle__switch:before {
        border-style: solid;
        content: "";
        margin: 0;
        position: absolute;
        transform: translateX(0);
        transition-duration: .3s;
        transition-property: transform,left,border-color;
        transition-timing-function: ease-out
    }

        .osano-cm-toggle__switch:after:active, .osano-cm-toggle__switch:before:active {
            transition-duration: .1s
        }

        .osano-cm-toggle__switch:after:active {
            width: 26px
        }

        .osano-cm-toggle__switch:before:active {
            width: 34px
        }

[dir=rtl] .osano-cm-toggle__switch:after {
    left: 100%;
    transform: translateX(-100%)
}

.osano-cm-toggle__input {
    height: 1px;
    left: -10000px;
    margin: -1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    width: 1px
}

[dir=rtl] .osano-cm-toggle__input {
    left: 0;
    right: -10000px
}

.osano-cm-toggle__input:disabled {
    cursor: default
}

.osano-cm-toggle--type_checkbox .osano-cm-toggle__switch {
    border-radius: 4px;
    border-style: solid;
    border-width: 1px;
    height: 22px;
    width: 22px
}

    .osano-cm-toggle--type_checkbox .osano-cm-toggle__switch:after {
        background-color: transparent !important;
        border-bottom-width: 2px;
        border-left-width: 2px;
        border-radius: 0;
        content: none;
        height: 6px;
        left: 3px;
        top: 3px;
        transform: rotate(-45deg);
        transition-property: color;
        transition-timing-function: ease-out;
        width: 12px
    }

.osano-cm-toggle--type_opt-out .osano-cm-toggle__switch {
    border-radius: 4px;
    border-style: solid;
    border-width: 1px;
    height: 22px;
    width: 22px
}

    .osano-cm-toggle--type_opt-out .osano-cm-toggle__switch:after, .osano-cm-toggle--type_opt-out .osano-cm-toggle__switch:before {
        background-color: transparent !important;
        border-bottom-width: 1px;
        border-radius: 0;
        border-top-width: 1px;
        content: none;
        height: 0;
        left: -3px;
        top: 7px;
        transition-property: color;
        transition-timing-function: ease-out;
        width: 12px
    }

    .osano-cm-toggle--type_opt-out .osano-cm-toggle__switch:after {
        transform: translate(50%,50%) rotate(-45deg)
    }

    .osano-cm-toggle--type_opt-out .osano-cm-toggle__switch:before {
        transform: translate(50%,50%) rotate(45deg)
    }

.osano-cm-toggle__input:checked + .osano-cm-toggle__switch {
    background-color: var(--osano-toggle-on-background-color);
    border-color: var(--osano-toggle-on-background-color)
}

    .osano-cm-toggle__input:checked + .osano-cm-toggle__switch:after {
        background-color: var(--osano-toggle-button-on-color);
        border-color: var(--osano-toggle-button-on-color);
        left: 100%;
        transform: translateX(-100%)
    }

[dir=rtl] .osano-cm-toggle__input:checked + .osano-cm-toggle__switch:after {
    left: 0;
    transform: translateX(0)
}

.osano-cm-toggle__input:focus + .osano-cm-toggle__switch, .osano-cm-toggle__input:hover + .osano-cm-toggle__switch {
    background-color: var(--osano-toggle-off-background-hover-focus);
    border-color: var(--osano-toggle-off-background-hover-focus)
}

    .osano-cm-toggle__input:focus + .osano-cm-toggle__switch:before {
        border-color: var(--osano-toggle-off-background-hover-focus)
    }

.osano-cm-toggle__input:disabled + .osano-cm-toggle__switch {
    cursor: default
}

.osano-cm-toggle--type_checkbox .osano-cm-toggle__input:checked + .osano-cm-toggle__switch:after {
    content: "";
    left: 3px;
    top: 3px;
    transform: rotate(-45deg)
}

.osano-cm-toggle--type_opt-out .osano-cm-toggle__input:checked + .osano-cm-toggle__switch:after, .osano-cm-toggle--type_opt-out .osano-cm-toggle__input:checked + .osano-cm-toggle__switch:before {
    content: "";
    left: -1px;
    top: 9px
}

.osano-cm-toggle--type_opt-out .osano-cm-toggle__input:checked + .osano-cm-toggle__switch:after {
    transform: translate(50%,50%) rotate(-45deg)
}

.osano-cm-toggle--type_opt-out .osano-cm-toggle__input:checked + .osano-cm-toggle__switch:before {
    transform: translate(50%,50%) rotate(45deg)
}

.osano-cm-toggle--type_checkbox .osano-cm-toggle__input:disabled + .osano-cm-toggle__switch, .osano-cm-toggle--type_opt-out .osano-cm-toggle__input:disabled + .osano-cm-toggle__switch {
    opacity: .3
}

.osano-cm-toggle__input:checked:focus + .osano-cm-toggle__switch, .osano-cm-toggle__input:checked:hover + .osano-cm-toggle__switch {
    background-color: var(--osano-toggle-on-background-hover-focus);
    border-color: var(--osano-toggle-on-background-hover-focus)
}

    .osano-cm-toggle__input:checked:focus + .osano-cm-toggle__switch:before {
        border-color: var(--osano-toggle-on-background-hover-focus)
    }

.osano-cm-toggle__input:disabled + .osano-cm-toggle__switch, .osano-cm-toggle__input:disabled:focus + .osano-cm-toggle__switch, .osano-cm-toggle__input:disabled:hover + .osano-cm-toggle__switch {
    background-color: var(--osano-toggle-off-background-disabled);
    border-color: var(--osano-toggle-off-background-disabled)
}

    .osano-cm-toggle__input:disabled + .osano-cm-toggle__switch:after, .osano-cm-toggle__input:disabled:focus + .osano-cm-toggle__switch:after, .osano-cm-toggle__input:disabled:hover + .osano-cm-toggle__switch:after {
        background-color: var(--osano-toggle-button-off-disabled);
        border-color: var(--osano-toggle-button-off-disabled)
    }

    .osano-cm-toggle__input:disabled + .osano-cm-toggle__switch:before, .osano-cm-toggle__input:disabled:focus + .osano-cm-toggle__switch:before, .osano-cm-toggle__input:disabled:hover + .osano-cm-toggle__switch:before {
        border-color: transparent
    }

.osano-cm-toggle__input:disabled:checked + .osano-cm-toggle__switch, .osano-cm-toggle__input:disabled:checked:focus + .osano-cm-toggle__switch, .osano-cm-toggle__input:disabled:checked:hover + .osano-cm-toggle__switch {
    background-color: var(--osano-toggle-on-background-disabled);
    border-color: var(--osano-toggle-on-background-disabled)
}

    .osano-cm-toggle__input:disabled:checked + .osano-cm-toggle__switch:after, .osano-cm-toggle__input:disabled:checked:focus + .osano-cm-toggle__switch:after, .osano-cm-toggle__input:disabled:checked:hover + .osano-cm-toggle__switch:after {
        background-color: var(--osano-toggle-button-on-disabled);
        border-color: var(--osano-toggle-button-on-disabled)
    }

    .osano-cm-toggle__input:disabled:checked + .osano-cm-toggle__switch:before, .osano-cm-toggle__input:disabled:checked:focus + .osano-cm-toggle__switch:before, .osano-cm-toggle__input:disabled:checked:hover + .osano-cm-toggle__switch:before {
        border-color: transparent
    }

.osano-cm-widget {
    background: none;
    border: none;
    bottom: 12px;
    cursor: pointer;
    height: 40px;
    opacity: .9;
    outline: none;
    padding: 0;
    position: fixed;
    transition: transform .1s linear 0s,opacity .2s linear 0ms,visibility 0ms linear 0ms;
    visibility: visible;
    width: 40px;
    z-index: 2147483636
}

.osano-cm-widget--position_right {
    right: 12px
}

.osano-cm-widget--position_left {
    left: 12px
}

.osano-cm-widget:focus {
    outline: solid;
    outline-offset: .2rem
}

.osano-cm-widget:focus, .osano-cm-widget:hover {
    opacity: 1;
    transform: scale(1.1)
}

.osano-cm-widget--hidden {
    opacity: 0;
    visibility: hidden
}

    .osano-cm-widget--hidden:focus, .osano-cm-widget--hidden:hover {
        opacity: 0;
        transform: scale(1)
    }

.osano-cm-widget__outline {
    fill: var(--osano-widget-fill-color);
    stroke: var(--osano-widget-outline-color)
}

.osano-cm-widget__dot {
    fill: var(--osano-widget-color)
}

.osano-cm-dialog {
    align-items: center;
    background: var(--osano-dialog-background-color);
    box-sizing: border-box;
    color: var(--osano-dialog-foreground-color);
    font-size: 1em;
    line-height: 1.25;
    max-height: 100vh;
    overflow: auto;
    padding: 1.5em;
    position: fixed;
    transition-delay: 0ms,0ms;
    transition-duration: .7s,0ms;
    transition-property: opacity,visibility;
    visibility: visible;
    z-index: 2147483637
}

.osano-cm-dialog--hidden {
    opacity: 0;
    transition-delay: 0ms,.7s;
    visibility: hidden
}

.osano-cm-dialog--type_bar {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    left: 0;
    right: 0
}

    .osano-cm-dialog--type_bar .osano-cm-button {
        flex: none;
        margin: .125em auto;
        width: 80%
    }

@media screen and (min-width:768px) {
    .osano-cm-dialog--type_bar {
        flex-direction: row
    }

        .osano-cm-dialog--type_bar .osano-cm-button {
            flex: 1 1 100%;
            margin: .25em .5em;
            width: auto
        }
}

.osano-cm-dialog--type_box {
    flex-direction: column;
    max-height: calc(100vh - 2em);
    max-width: 20em;
    width: calc(100vw - 2em)
}

.osano-cm-dialog__close {
    color: var(--osano-dialog-foreground-color);
    position: absolute;
    right: 0;
    top: 0;
    stroke: var(--osano-dialog-foreground-color)
}

    .osano-cm-dialog__close:hover {
        stroke: var(--osano-dialog-foreground-hover)
    }

    .osano-cm-dialog__close:focus {
        background-color: var(--osano-dialog-foreground-color);
        border-color: var(--osano-dialog-foreground-color);
        stroke: var(--osano-dialog-background-color)
    }

        .osano-cm-dialog__close:focus:hover {
            stroke: var(--osano-dialog-background-hover)
        }

.osano-cm-dialog__list {
    margin: .5em 0 0;
    padding: 0
}

    .osano-cm-dialog__list .osano-cm-item {
        display: flex;
        margin-top: 0
    }

        .osano-cm-dialog__list .osano-cm-item:last-child {
            margin-bottom: 0
        }

    .osano-cm-dialog__list .osano-cm-toggle {
        flex-direction: row
    }

[dir=rtl] .osano-cm-dialog__list .osano-cm-toggle {
    flex-direction: row-reverse
}

.osano-cm-dialog__list .osano-cm-label {
    white-space: nowrap
}

[dir=ltr] .osano-cm-dialog__list .osano-cm-label {
    margin-left: .375em
}

[dir=rtl] .osano-cm-dialog__list .osano-cm-label {
    margin-right: .375em
}

.osano-cm-dialog__buttons {
    display: flex;
    flex-wrap: wrap
}

.osano-cm-dialog--type_bar .osano-cm-dialog__content {
    flex: 5;
    margin-bottom: .25em;
    width: 100%
}

.osano-cm-dialog--type_box .osano-cm-dialog__content {
    display: flex;
    flex-direction: column;
    flex-grow: .0001;
    transition: flex-grow 1s linear
}

.osano-cm-dialog--type_box .osano-cm-link-separator:before {
    content: "";
    padding: 0
}

.osano-cm-dialog--type_box .osano-cm-content__link {
    margin-bottom: .5em
}

.osano-cm-dialog--type_bar .osano-cm-dialog__list {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: flex-start;
    margin: .75em auto
}

@media screen and (min-width:376px) {
    .osano-cm-dialog--type_bar .osano-cm-dialog__list {
        flex-direction: row
    }
}

@media screen and (min-width:768px) {
    .osano-cm-dialog--type_bar .osano-cm-dialog__list {
        margin: .5em 0 0 auto
    }

    [dir=rtl] .osano-cm-dialog--type_bar .osano-cm-dialog__list {
        margin: .5em auto 0 0
    }
}

[dir=ltr] .osano-cm-dialog--type_bar .osano-cm-dialog__list .osano-cm-item {
    margin-right: .5em
}

[dir=rtl] .osano-cm-dialog--type_bar .osano-cm-dialog__list .osano-cm-item {
    margin-left: .5em
}

.osano-cm-dialog--type_bar .osano-cm-dialog__list .osano-cm-label {
    padding-top: 0
}

.osano-cm-dialog--type_bar .osano-cm-dialog__buttons {
    flex: 1;
    justify-content: flex-end;
    margin: 0;
    width: 100%
}

@media screen and (min-width:768px) {
    .osano-cm-dialog--type_bar .osano-cm-dialog__buttons {
        margin: 0 0 0 .5em;
        max-width: 30vw;
        min-width: 16em;
        position: sticky;
        top: 0;
        width: auto
    }

    [dir=rtl] .osano-cm-dialog--type_bar .osano-cm-dialog__buttons {
        margin: 0 .5em 0 0
    }
}

.osano-cm-dialog--type_box .osano-cm-dialog__buttons {
    margin: .5em 0 0
}

.osano-cm-dialog--type_bar.osano-cm-dialog--position_top {
    top: 0
}

.osano-cm-dialog--type_bar.osano-cm-dialog--position_bottom {
    bottom: 0
}

.osano-cm-dialog--type_box.osano-cm-dialog--position_top-left {
    left: 1em;
    top: 1em
}

.osano-cm-dialog--type_box.osano-cm-dialog--position_top-right {
    right: 1em;
    top: 1em
}

.osano-cm-dialog--type_box.osano-cm-dialog--position_bottom-left {
    bottom: 1em;
    left: 1em
}

.osano-cm-dialog--type_box.osano-cm-dialog--position_bottom-right {
    bottom: 1em;
    right: 1em
}

.osano-cm-dialog--type_box.osano-cm-dialog--position_center {
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%)
}

.osano-cm-dialog--type_box.osano-cm-dialog--wide {
    max-width: 50em
}

@media screen and (max-height:800px)and (max-width:1200px) {
    .osano-cm-dialog--type_box.osano-cm-dialog--wide {
        max-width: calc(100vw - 4em)
    }
}

.osano-cm-dialog--type_box.osano-cm-dialog--wide .osano-cm-dialog__list {
    display: flex;
    flex-wrap: wrap
}

.osano-cm-dialog--context_amp {
    height: 100%;
    position: relative
}

.osano-cm-content__message {
    margin-bottom: 1em;
    white-space: pre-line;
    word-break: break-word
}

.osano-cm-drawer-links {
    margin: .5em 0 0
}

.osano-cm-drawer-links__link {
    display: block
}

.osano-cm-storage-policy {
    display: inline-block
}

.osano-cm-usage-list {
    margin: 0 0 .5em
}

.osano-cm-usage-list__list {
    list-style-position: inside;
    list-style-type: disc
}

:export {
    fadeTransitionTime: .7s;
    slideTransitionTime: .4s
}

.osano-cm-info-dialog {
    background: var(--osano-info-dialog-overlay-color);
    height: 100vh;
    left: 0;
    position: fixed;
    top: 0;
    transition-delay: 0ms,0ms;
    transition-duration: .2s,0ms;
    transition-property: opacity,visibility;
    visibility: visible;
    width: 100vw;
    z-index: 2147483638
}

.osano-cm-info-dialog--hidden {
    opacity: 0;
    transition-delay: 0ms,.2s;
    visibility: hidden
}

.osano-cm-header {
    background: var(--osano-info-dialog-background-color);
    background: linear-gradient(180deg,var(--osano-info-dialog-background-color) 2.5em,var(--osano-clear-dialog-background) 100%);
    margin: 0 0 -1em;
    padding: 1em 0;
    position: sticky;
    top: 0;
    z-index: 1
}

.osano-cm-info {
    animation: delay-overflow .4s;
    background: var(--osano-info-dialog-background-color);
    bottom: 0;
    box-shadow: 0 0 2px 2px #ccc;
    box-sizing: border-box;
    color: var(--osano-info-dialog-foreground-color);
    max-width: 20em;
    overflow: visible visible;
    position: fixed;
    top: 0;
    transition-duration: .4s;
    transition-property: transform;
    width: 100%
}

.osano-cm-info--position_left {
    left: 0;
    transform: translate(-100%)
}

.osano-cm-info--position_right {
    right: 0;
    transform: translate(100%)
}

.osano-cm-info--open {
    animation: none;
    overflow: hidden auto;
    transform: translate(0)
}

.osano-cm-info--do_not_sell {
    animation: none;
    height: -moz-fit-content;
    height: fit-content;
    left: 50%;
    max-height: 100vh;
    position: fixed;
    right: auto;
    top: 50%;
    transform: translate(-50%,-50%);
    transition: none
}

    .osano-cm-info--do_not_sell .osano-cm-close {
        order: -1
    }

    .osano-cm-info--do_not_sell .osano-cm-header {
        box-sizing: content-box;
        display: block;
        flex: none
    }

.osano-cm-info-views {
    align-items: flex-start;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    height: 100%;
    transition-duration: .4s;
    transition-property: transform;
    width: 100%
}

[dir=rtl] .osano-cm-info-views {
    flex-direction: row-reverse
}

.osano-cm-info-views__view {
    box-sizing: border-box;
    flex-shrink: 0;
    width: 100%
}

.osano-cm-info-views--position_0 > :not(:first-of-type) {
    max-height: 100%;
    overflow: hidden
}

.osano-cm-info-views--position_1 {
    transform: translateX(-100%)
}

    .osano-cm-info-views--position_1 > :not(:nth-of-type(2)) {
        max-height: 100%;
        overflow: hidden
    }

.osano-cm-info-views--position_2 {
    transform: translateX(-200%)
}

    .osano-cm-info-views--position_2 > :not(:nth-of-type(3)) {
        max-height: 100%;
        overflow: hidden
    }

.osano-cm-info--do_not_sell .osano-cm-info-views {
    height: -moz-fit-content;
    height: fit-content
}

.osano-cm-view {
    height: 0;
    padding: 0 .75em 1em;
    transition-delay: .4s;
    transition-duration: 0ms;
    transition-property: height,visibility;
    visibility: hidden;
    width: 100%
}

.osano-cm-view__button {
    font-size: .875em;
    margin: 1em 0 0;
    width: 100%
}

.osano-cm-view--active {
    height: auto;
    transition-delay: 0ms;
    visibility: visible
}

.osano-cm-description {
    font-size: .75em;
    font-weight: 300;
    line-height: 1.375;
    margin: 1em 0 0;
    white-space: pre-line
}

    .osano-cm-description:first-child {
        margin: 0
    }

    .osano-cm-description:last-of-type {
        margin-bottom: 1em
    }

.osano-cm-drawer-toggle .osano-cm-label {
    font-size: .875em;
    line-height: 1.375em;
    margin: 0 auto 0 0
}

[dir=rtl] .osano-cm-drawer-toggle .osano-cm-label {
    margin: 0 0 0 auto
}

.osano-cm-info-dialog-header {
    align-items: center;
    background: var(--osano-info-dialog-background-color);
    background: linear-gradient(180deg,var(--osano-info-dialog-background-color) 2.5em,var(--osano-clear-dialog-background) 100%);
    display: flex;
    flex-direction: row-reverse;
    left: auto;
    min-height: 3.25em;
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 1
}

[dir=rtl] .osano-cm-info-dialog-header {
    flex-direction: row
}

.osano-cm-info-dialog-header__header {
    align-items: center;
    display: flex;
    flex: 1 1 auto;
    font-size: 1em;
    justify-content: flex-start;
    margin: 0;
    order: 1;
    padding: 1em .75em
}

.osano-cm-info-dialog-header__description {
    font-size: .75em;
    line-height: 1.375
}

.osano-cm-info-dialog-header__close {
    color: var(--osano-info-dialog-foreground-color);
    position: relative;
    stroke: var(--osano-info-dialog-foreground-color)
}

    .osano-cm-info-dialog-header__close:hover {
        stroke: var(--osano-info-dialog-foreground-hover)
    }

    .osano-cm-info-dialog-header__close:focus {
        background-color: var(--osano-info-dialog-foreground-color);
        border-color: var(--osano-info-dialog-foreground-color);
        stroke: var(--osano-info-dialog-background-color)
    }

        .osano-cm-info-dialog-header__close:focus:hover {
            stroke: var(--osano-info-dialog-background-hover)
        }

.osano-cm-back {
    flex: 0 1 auto;
    margin: 0 0 0 .5em;
    min-width: 0;
    order: 2;
    position: relative;
    width: auto;
    z-index: 2
}

[dir=rtl] .osano-cm-back {
    margin: 0 .5em 0 0
}

.osano-cm-powered-by {
    align-items: center;
    display: flex;
    flex-direction: column;
    font-weight: 700;
    justify-content: center;
    margin: 1em 0
}

.osano-cm-powered-by__link {
    font-size: .625em;
    outline: none;
    text-decoration: none
}

    .osano-cm-powered-by__link:focus, .osano-cm-powered-by__link:hover {
        text-decoration: underline
    }

@keyframes delay-overflow {
    0% {
        overflow: hidden auto
    }
}

.osano-cm-drawer-iab-button-container {
    display: flex;
    gap: .5em;
    justify-content: center;
    margin-bottom: 2em
}

.osano-cm-illustrations__list > .osano-cm-list-item--type_description {
    padding: .2rem 1rem
}

.osano-cm-drawer-item.osano-cm-description__list li {
    padding-top: .75em
}

.osano-cm-tcf-purpose--label {
    border-bottom: 1px solid rgba(0,0,0,.1);
    display: block;
    margin-bottom: .5em;
    padding: .25em 0 .5em
}

.osano-cm-link.osano-cm-link--type_purpose {
    font-weight: 400
}

.osano-cm-tcf-purpose--label input {
    accent-color: var(--osano-toggle-on-background-color);
    float: right;
    margin-right: .5em
}

.osano-cm-opt-out-honored-wrapper {
    align-items: center;
    background: none;
    border: 1px solid;
    border-radius: 1em;
    display: flex;
    gap: .5em;
    margin: 0 0 1em;
    max-width: -moz-max-content;
    max-width: max-content;
    outline: none;
    padding: .5em;
    position: relative
}

.osano-cm-opt-out-honored-wrapper__label {
    font-size: .75em;
    font-style: normal;
    font-weight: 400;
    letter-spacing: .0625em;
    line-height: 1.25;
    margin-right: .25em
}

.osano-cm-opt-out-honored-wrapper__additional-label {
    color: inherit;
    font-size: .75em;
    font-weight: 400;
    line-height: 1.5;
    margin: .5em 0 0
}

.osano-cm-opt-out-honored-wrapper__tooltip {
    align-items: flex-start;
    background: #fff;
    border-radius: .25em;
    bottom: calc(100% + 12px);
    box-shadow: 0 1px 10px rgba(0,0,0,.12),0 4px 5px rgba(0,0,0,.14),0 2px 4px rgba(0,0,0,.2);
    color: #333;
    display: flex;
    gap: .5rem;
    max-width: calc(100vw - 4em);
    opacity: 0;
    padding: 1rem;
    position: absolute;
    transition: opacity .2s linear 0ms,visibility .2s linear .2s;
    visibility: hidden;
    white-space: normal;
    width: 14rem;
    z-index: 2147483636
}

    .osano-cm-opt-out-honored-wrapper__tooltip:before {
        background: #fff;
        bottom: -6px;
        box-shadow: 2px 2px 4px rgba(0,0,0,.1);
        content: "";
        height: 12px;
        left: 15%;
        position: absolute;
        transform: translateX(-50%) rotate(45deg);
        width: 12px
    }

.osano-cm-opt-out-honored-wrapper__tooltip-icon {
    flex-shrink: 0
}

    .osano-cm-opt-out-honored-wrapper__tooltip-icon svg {
        display: block
    }

.osano-cm-opt-out-honored-wrapper__tooltip-content {
    display: flex;
    flex: 1;
    flex-direction: column;
    gap: .25rem
}

.osano-cm-opt-out-honored-wrapper__tooltip-title {
    color: #333;
    font-size: .875em;
    font-weight: 600;
    line-height: 1.25;
    margin: .125em 0
}

.osano-cm-opt-out-honored-wrapper__tooltip-subtitle {
    color: #666;
    font-size: .75em;
    font-weight: 400;
    line-height: 1.25;
    margin: 0
}

.osano-cm-opt-out-honored-wrapper--position_right {
    bottom: 1em;
    right: .75em
}

.osano-cm-opt-out-honored-wrapper--position_left {
    bottom: 1em;
    left: .75em
}

.osano-cm-opt-out-honored-wrapper--position_left, .osano-cm-opt-out-honored-wrapper--position_right {
    background: #fff;
    border-color: #058a5e;
    color: #058a5e;
    margin: 0;
    max-width: calc(100vw - 2.5em);
    opacity: .9;
    position: fixed;
    transition: opacity .2s linear 0ms,visibility 0ms linear 0ms;
    visibility: visible;
    z-index: 2147483636
}

    .osano-cm-opt-out-honored-wrapper--position_left:hover, .osano-cm-opt-out-honored-wrapper--position_right:hover {
        opacity: 1
    }

    .osano-cm-opt-out-honored-wrapper--position_right.osano-cm-opt-out-honored-wrapper--has-main-widget {
        bottom: 1em;
        right: 4em
    }

    .osano-cm-opt-out-honored-wrapper--position_left.osano-cm-opt-out-honored-wrapper--has-main-widget {
        bottom: 1em;
        left: 4em
    }

.osano-cm-opt-out-honored-wrapper--clickable {
    cursor: pointer
}

.osano-cm-opt-out-honored-wrapper--hidden {
    opacity: 0;
    transition-delay: 0ms,.2s;
    visibility: hidden
}

.osano-cm-opt-out-honored-wrapper--context_description, .osano-cm-opt-out-honored-wrapper--context_dialog {
    background: none;
    border-color: inherit;
    color: inherit;
    cursor: default;
    margin: 0 0 .5em;
    opacity: 1;
    position: static;
    z-index: auto
}

    .osano-cm-opt-out-honored-wrapper--context_description .osano-cm-opt-out-honored-wrapper__label, .osano-cm-opt-out-honored-wrapper--context_dialog .osano-cm-opt-out-honored-wrapper__label {
        color: inherit
    }

    .osano-cm-opt-out-honored-wrapper--context_description .osano-cm-opt-out-honored-wrapper__tooltip, .osano-cm-opt-out-honored-wrapper--context_dialog .osano-cm-opt-out-honored-wrapper__tooltip {
        display: none
    }

.osano-cm-opt-out-honored-wrapper--tooltip-active:focus-within .osano-cm-opt-out-honored-wrapper__tooltip, .osano-cm-opt-out-honored-wrapper--tooltip-active:hover .osano-cm-opt-out-honored-wrapper__tooltip {
    opacity: 1;
    transition-delay: 0ms,0ms;
    visibility: visible
}

.osano-cm-opt-out-honored-wrapper--clickable:focus {
    outline: 2px solid var(--osano-focus-color,#06c);
    outline-offset: 2px
}

.osano-cm-dialog .osano-cm-opt-out-honored-wrapper {
    margin: 0 0 .5em
}

.osano-cm-expansion-panel {
    border-bottom: 1px solid rgba(0,0,0,.1);
    display: block;
    font-size: .75em;
    margin: 0 -1.5em 1em;
    padding: 1.5em 1.5em 0
}

.osano-cm-expansion-panel--expanded {
    border-bottom: none
}

.osano-cm-expansion-panel--empty, .osano-cm-expansion-panel--empty:not([open]) {
    border-bottom: 1px solid rgba(0,0,0,.1);
    padding-bottom: 0
}

.osano-cm-expansion-panel__body {
    background-color: rgba(0,0,0,.1);
    line-height: 1.25;
    list-style: none;
    margin: 0 -1.5em;
    max-height: 0;
    overflow: hidden;
    padding: 0 1.5em;
    transition-delay: 0ms,0ms,0ms,.3s;
    transition-duration: .3s,.3s,.3s,0s;
    transition-property: max-height,padding-top,padding-bottom,visibility;
    transition-timing-function: ease-out;
    visibility: hidden
}

.osano-cm-expansion-panel__toggle {
    cursor: pointer;
    display: block;
    line-height: 1.25;
    margin: 0 auto 1em 0;
    position: relative
}

    .osano-cm-expansion-panel__toggle, .osano-cm-expansion-panel__toggle:active, .osano-cm-expansion-panel__toggle:hover {
        color: var(--osano-link-color);
        outline: none
    }

        .osano-cm-expansion-panel__toggle:focus {
            color: var(--osano-link-color-focus);
            outline: none
        }

[dir=rtl] .osano-cm-expansion-panel__toggle {
    margin: 0 0 1em auto
}

.osano-cm-expansion-panel--expanded .osano-cm-expansion-panel__body {
    max-height: none;
    padding: 1.25em 1.5em 1em;
    transition-delay: 0ms,0ms,0ms,0ms;
    visibility: visible
}

.osano-cm-disclosure-item__title {
    border: 0;
    clear: both;
    display: block;
    flex: 0 1 30%;
    font-size: 1em;
    font-weight: 700;
    line-height: 1.375;
    margin: 0 0 .5em;
    padding: 0
}

.osano-cm-disclosure-item__description {
    flex: 0 1 70%;
    font-size: 1em;
    line-height: 1.375;
    margin: 0 0 .5em;
    overflow: hidden;
    padding: 0;
    text-overflow: ellipsis;
    white-space: pre-line
}

.osano-cm-disclosure {
    border-bottom: none;
    display: block;
    font-size: .75em;
    margin: 0 -1.5em 1em;
    padding: 1.5em 1.5em 0
}

.osano-cm-disclosure--collapse {
    border-bottom: 1px solid rgba(0,0,0,.1);
    padding-bottom: 1em
}

.osano-cm-disclosure--empty, .osano-cm-disclosure--empty:not([open]) {
    border-bottom: 1px solid rgba(0,0,0,.1);
    padding-bottom: 0
}

.osano-cm-disclosure__list {
    background-color: rgba(0,0,0,.1);
    line-height: 1.25;
    list-style: none;
    margin: 0 -1.5em;
    padding: 1.25em 1.5em 1em
}

    .osano-cm-disclosure__list:empty {
        border: none;
        padding: 0 1.5em
    }

    .osano-cm-disclosure__list:first-of-type {
        margin-top: 1em;
        padding: 1.25em 1.5em 1em
    }

        .osano-cm-disclosure__list:first-of-type:after {
            background-color: var(--osano-link-color)
        }

        .osano-cm-disclosure__list:first-of-type:empty {
            padding: 1.75em 1.5em .75em
        }

    .osano-cm-disclosure__list:not(:first-of-type):not(:empty) {
        border-top: 1px solid rgba(0,0,0,.1)
    }

    .osano-cm-disclosure__list:empty + .osano-cm-disclosure__list:not(:empty) {
        border: none;
        padding: 0 1.5em
    }

    .osano-cm-disclosure__list:not(:empty) ~ .osano-cm-disclosure__list:empty + .osano-cm-disclosure__list:not(:empty) {
        border-top: 1px solid rgba(0,0,0,.1)
    }

    .osano-cm-disclosure__list > .osano-cm-list-item {
        line-height: 1.25
    }

        .osano-cm-disclosure__list > .osano-cm-list-item:not(:first-of-type) {
            border-top: 1px solid rgba(0,0,0,.1);
            margin: 1em -1.25em 0;
            padding: 1em 1.25em 0
        }

.osano-cm-disclosure__toggle {
    color: var(--osano-link-color);
    cursor: pointer;
    display: block;
    font-weight: 700;
    line-height: 1.25;
    margin: 0 auto 0 0;
    outline: none;
    position: relative
}

    .osano-cm-disclosure__toggle:focus, .osano-cm-disclosure__toggle:hover {
        text-decoration: underline
    }

    .osano-cm-disclosure__toggle:active, .osano-cm-disclosure__toggle:hover {
        color: var(--osano-link-color)
    }

    .osano-cm-disclosure__toggle:focus {
        color: var(--osano-link-color-focus)
    }

[dir=rtl] .osano-cm-disclosure__toggle {
    margin: 0 0 0 auto
}

.osano-cm-disclosure--loading .osano-cm-disclosure__list {
    height: 0;
    line-height: 0;
    max-height: 0
}

    .osano-cm-disclosure--loading .osano-cm-disclosure__list > * {
        display: none
    }

    .osano-cm-disclosure--loading .osano-cm-disclosure__list:after {
        animation-duration: 1s;
        animation-iteration-count: infinite;
        animation-name: osano-load-scale;
        animation-timing-function: ease-in-out;
        border-radius: 100%;
        content: "";
        display: block;
        height: 1em;
        position: relative;
        top: -.125em;
        transform: translateY(-50%);
        width: 1em
    }

.osano-cm-disclosure--collapse .osano-cm-disclosure__list {
    display: none
}

    .osano-cm-disclosure--collapse .osano-cm-disclosure__list:after {
        content: none
    }

.osano-cm-disclosure-item {
    display: flex;
    flex-wrap: wrap;
    margin: 0
}

.osano-cm-disclosure-item__title:last-of-type {
    margin-bottom: 0
}

.osano-cm-disclosure-item__description:hover {
    word-break: break-word
}

.osano-cm-disclosure-item__description:last-of-type {
    margin-bottom: 0
}

@keyframes osano-load-scale {
    0% {
        transform: translateY(-50%) scale(0)
    }

    to {
        opacity: 0;
        transform: translateY(-50%) scale(1)
    }
}

:root {
    --osano-button-background-color: <!-- ?lit$414026574$ --> #f75a1e;
    --osano-button-foreground-color: <!-- ?lit$414026574$ --> #FFFFFF;
    --osano-button-deny-background-color: <!-- ?lit$414026574$ --> #8577a1;
    --osano-button-deny-foreground-color: <!-- ?lit$414026574$ --> #FFFFFF;
    --osano-dialog-background-color: <!-- ?lit$414026574$ --> #ffffff;
    --osano-dialog-foreground-color: <!-- ?lit$414026574$ --> #333333;
    --osano-info-dialog-background-color: <!-- ?lit$414026574$ --> #ffffff;
    --osano-info-dialog-foreground-color: <!-- ?lit$414026574$ --> #333333;
    --osano-info-dialog-overlay-color: <!-- ?lit$414026574$ --> rgba(0,0,0,0.45);
    --osano-link-color: <!-- ?lit$414026574$ --> #333333;
    --osano-toggle-off-background-color: <!-- ?lit$414026574$ --> #cccccc;
    --osano-toggle-button-off-color: <!-- ?lit$414026574$ --> #FFFFFF;
    --osano-toggle-on-background-color: <!-- ?lit$414026574$ --> #008800;
    --osano-toggle-button-on-color: <!-- ?lit$414026574$ --> #ffffff;
    --osano-widget-color: <!-- ?lit$414026574$ --> #37cd8f;
    --osano-widget-fill-color: <!-- ?lit$414026574$ --> #fff;
    --osano-widget-outline-color: <!-- ?lit$414026574$ --> #29246a;
    --osano-clear-dialog-background: <!-- ?lit$414026574$ --> rgba(255,255,255,0);
    --osano-button-background-hover: <!-- ?lit$414026574$ --> #e3460a;
    --osano-button-deny-background-hover: <!-- ?lit$414026574$ --> #998bb5;
    --osano-dialog-foreground-hover: <!-- ?lit$414026574$ --> #474747;
    --osano-dialog-background-hover: <!-- ?lit$414026574$ --> #ebebeb;
    --osano-info-dialog-foreground-hover: <!-- ?lit$414026574$ --> #474747;
    --osano-info-dialog-background-hover: <!-- ?lit$414026574$ --> #ebebeb;
    --osano-link-color-focus: <!-- ?lit$414026574$ --> #474747;
    --osano-toggle-off-background-hover-focus: <!-- ?lit$414026574$ --> #b8b8b8;
    --osano-toggle-on-background-hover-focus: <!-- ?lit$414026574$ --> #149c14;
    --osano-toggle-off-background-disabled: <!-- ?lit$414026574$ --> #8c8c8c;
    --osano-toggle-button-off-disabled: <!-- ?lit$414026574$ --> #bfbfbf;
    --osano-toggle-on-background-disabled: <!-- ?lit$414026574$ --> #40c840;
    --osano-toggle-button-on-disabled: <!-- ?lit$414026574$ --> #bfbfbf;
}

.osano-cm-window {
    direction: <!-- ?lit$414026574$ --> ltr;
    text-align: <!-- ?lit$414026574$ --> left;
}

